Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class FormType

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.FormType

    public class FormType

extends java.lang.Object

Holds guid, name, version, formIdentifier, relativePath & basePath

©2014 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`FormType()`

Method Summary
`java.lang.String` | `getBasePath()`
`java.lang.String` | `getFormIdentifier()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRelativePath()`
`java.lang.String` | `getVersion()`
`void` | `setBasePath(java.lang.String basePath)`
`void` | `setFormIdentifier(java.lang.String formIdentifier)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setName(java.lang.String name)`
`void` | `setRelativePath(java.lang.String relativePath)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormType

    public FormType()

Method Detail

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getRelativePath

    public java.lang.String getRelativePath()

### setRelativePath

    public void setRelativePath(java.lang.String relativePath)

### getBasePath

    public java.lang.String getBasePath()

### setBasePath

    public void setBasePath(java.lang.String basePath)

### getFormIdentifier

    public java.lang.String getFormIdentifier()

### setFormIdentifier

    public void setFormIdentifier(java.lang.String formIdentifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.